Unsubscribe from a comment thread's notifications
Unsubscribe the authenticated user from a comment thread's notifications.
Unsubscribe the authenticated user from a comment thread's notifications.
Authenticate as a user with a personal access token.
Send it as a bearer token in the Authorization header:
Authorization: Bearer <personal-access-token>Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.
In: header
Path Parameters
1 <= length1 <= lengthThe build number
ID of any comment in the thread
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/projects/string/string/builds/string/comments/string/subscription"{ "id": "string", "buildId": "string", "threadId": "string", "body": null, "text": "string", "author": { "id": "string", "slug": "string", "name": "string" }, "screenshotDiffId": "string", "anchor": { "type": "point", "x": 0, "y": 0 }, "pending": true, "resolvedAt": "string", "editedAt": "string", "createdAt": "string", "reactions": [ { "emoji": "string", "count": 0, "users": [ { "id": "string", "slug": "string", "name": "string" } ] } ]}Subscribe to a comment thread's notifications POST
Subscribe the authenticated user to a comment thread to receive notifications about new replies.
Create a deployment POST
Create a deployment and receive signed upload URLs for the files Argos doesn't already store. Files already present (matched by content hash) are reused and omitted from `uploadFiles`. The environment is inferred from the branch when omitted.